composer-php — все вопросы

2ответа
4 голоса
Как я могу установить основные (системные) файлы CodeIgniter с помощью Composer?
Как я могу установить только основной (системный) код codeigniter с помощью Composer?
2ответа
4 голоса
Ничего не происходит при обновлении composer.phar
Ничего не происходит, когда я ввожу следующую строку в терминале: php composer.phar update То же самое для установки или любой другой опции. В чем может быть проблема? Я работаю над CentOS.
3ответа
4 голоса
PHP Composer, смешанный с подмодулями Git и Symfony2
У меня здесь есть проект, который представляет собой большое приложение Symfony2, и я собираюсь представить подмодули git для компонентов, которые мы создаем здесь своими силами. Проблема здесь в то
1ответ
4 голоса
Настройка псевдонима для главной ветви в composer
Я пытаюсь упаковать модуль для использования с композитором. У меня есть корректный файл composer, и я могу установить его с помощью composer, но только когда я укажу, что он должен использовать р
1ответ
4 голоса
Ошибка Composer - ваши требования не могут быть решены
Я получаю сообщение о проблеме от композитора при запуске php -d allow_url_fopen=On composer.phar install на mediatemple. Это сообщает, что laravel/framework v4.2.6 requires php >=5.4.0 ->
1ответ
4 голоса
Композитор за прокси не работает для проекта Symfony
В моей сети на рабочем месте мы должны использовать прокси. Я хочу использовать Composer для загрузки некоторых пакетов зависимостей для моих проектов Symfony2. Он не работает даже после объявления
3ответа
4 голоса
Композитор -> ошибка: 14090086: подпрограммы SSL: SSL3_GET_SERVER_CERTIFICATE: сбой проверки сертификата
Я могу подключиться к сайтам SSL, установленным композитором через командную строку через HTTPS. Проверена версия OPENSSL SSL Version => OpenSSL/1.0.1j. Так в чем же проблема? Мысли? Вот необр
5ответов
4 голоса
Команда «sudo composer» работает, а «composer» - нет?
Думаю, это будет легко. На моей OS X - Yosemite я скопировал composer.phar в мой каталог /usr/bin. Я использовал его некоторое время, но сегодня мне нужно было запустить "composer update". Конечно,
1ответ
4 голоса
Использование Composer с частными репозиториями GitHub через HTTPS
У нас есть несколько частных репозиториев, которые мы хотели бы включить в приложение PHP, использующее Composer. Файл composer.json содержит эту запись, которая определяет наш первый частный репози
1ответ
4 голоса
Композитор (Laravel5) Не удалось декодировать ответ: zlib_decode (): ошибка данных
Я пытаюсь установить зависимости laravel 5.1 с помощью composer. Я установил последнюю версию composer, а именно: Composer version 1.0-dev (a54f84f05f915c6d42bed94de0cdcb4406a4707b) 2015-10-13
1ответ
4 голоса
Понимание PSR-4 Composer без каких-либо рамок
Я пытаюсь понять и понять, как работает PSR-4, потому что мне нравится рефакторинг с этим стандартным небольшим приложением. Согласно нескольким инструкциям и переполнению стека, моя структура и
2ответа
4 голоса
Вложенные зависимости и приватные репозитории с композитором
В компании, в которой я сейчас работаю, мы недавно начали перемещать наш код в разные частные репозитории, чтобы его было проще обслуживать и использовать повторно (а также чтобы было проще открыват
3ответа
4 голоса
в вашей системе отсутствует gearman
Описание Попытка установить laelaps /symfony-gearman-bundle через composer require laelaps/symfony-gearman-bundle с несколькими ошибками, и мне трудно понять, что они означают. Error    П
2ответа
4 голоса
Laravel: phpunit не может открыть файл ExampleTest.php
Привет, я вышел из Laravel PHPUnit недавно, получаю следующую ошибку: Laravel : phpunit cannot open file ExampleTest.php Понятия не имею, почему я получаю эту ошибку. Я установил PHPUnit глобал
1ответ
4 голоса
Как я могу установить новую структуру каталогов при обновлении Symfony2.8 до Symfony3.0?
Итак, у меня есть этот сайт, который я изначально разработал с помощью Symfony 2.8.6. Я обновил файл composer.json для Symfony 3.0 и побежал $ composer update. Успешно установлены все новые необходи
2ответа
4 голоса
Предупреждение: неоднозначное решение класса Доктрина
После запуска обновления композитора у меня продолжает появляться ошибка, приведенная ниже:    Предупреждение: неоднозначное разрешение класса,   «Doctrine \ ORM \ Persisters \ Entity \ BasicEnti
1ответ
4 голоса
composer: есть ли способ указать порядок предпочтений для репозиториев пакетов?
Я работаю с пакетом vendorName/moduleName (расширение Magento), который присутствует в упаковщик и firegento . В моем composer.json файле есть: "require": { ...................., .....
1ответ
4 голоса
Symfony \ Component \ Debug \ Exception \ FatalThrowableError Класс 'Buno \ Readr \ ReadrServiceProvider' не найден
Здравствуйте, ребята, пожалуйста, не голосуйте быстро, я прочитал другой пост, связанный с этим, но я не вижу никаких результатов. Я получаю эту ошибку выше, я запустил автозагрузку дампа композитор
3ответа
4 голоса
Как настроить подмодули git для пакетов компилятора laravel 4?
Я создаю приложение с laravel 4 и собираюсь развернуть его на облачном сервере для дальнейшего тестирования. Общий процесс, который я обычно делаю, является локальным> нажмите на github> клони
2ответа
4 голоса
Установка Laravel 4 с использованием composer.phar без терминального доступа
У меня нет оболочки или терминала командной строки для установки composer.phar, что мне делать? Есть ли другой способ?
1 2 3 4 5

Популярные теги

security × 330linux × 316macos × 2827 × 268performance × 244command-line × 241sql-server × 235joomla-3.x × 222java × 189c++ × 186windows × 180cisco × 168bash × 158c# × 142gmail × 139arduino-uno × 139javascript × 134ssh × 133seo × 132mysql × 132